Subject: Re: [PATCH v4] fsmonitor: implement filesystem change listener for Linux

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 24 Feb 2026 09:03:07 +0100

On Mon, Feb 23, 2026 at 06:34:31PM -0700, Paul Tarjan wrote:
> On Mon, Feb 23, 2026 at 5:01 PM Patrick Steinhardt <[email-masked]> wrote:
> >
> > On Mon, Feb 23, 2026 at 07:42:14AM -0800, Junio C Hamano wrote:
> > > Patrick Steinhardt <[email-masked]> writes:
> > >
> > > > On Sat, Feb 21, 2026 at 09:07:52AM -0800, Junio C Hamano wrote:
> > > >> Paul Tarjan <[email-masked]> writes:
> > > >>
> > > >> > I'd prefer to take you up on the offer to send the meson support as a
> > > >> > separate patch.
> > > >>
> > > >> This part of your message is one thing we needed from you to unblock
> > > >> ourselves, I guess.
> > > >>
> > > >> Patrick, do you think you can help making this into two-patch
> > > >> series, the original one being the [PATCH 1/2] and update for
> > > >> meson-build in [PATCH 2/2]?
> > > >
> > > > The changes I sent should be sufficient, so I'd propose to just roll
> > > > it into the v5 patch.
> > > > ...
> > > > By the way, I haven't yet done a full review of this patch, I only
> > > > chimed in to help out with Meson. But I can have a deeper look once v5
> > > > was sent out.
> > >
> > > OK, so it is not quite clear to me who is doing the v5.  Is the
> > > "offer to send the meson support as a separate patch" still valid,
> > > or we expect Paul to squash in the earlier patch from you to prepare
> > > the v5?
> >
> > I'd think the latter, Paul squashes my patch into his commit. I don't
> > think it needs to be a separate patch.
> 
> Done. CI still failed in a different way this time:
> https://github.com/git/git/actions/runs/22311198802/job/64543526340?pr=2147

This looks like executing tests got stuck. Makes me wonder whether there
is maybe a race condition in the new fsmonitor implementation that
causes tests to not progress anymore. Let me have a deeper look at the
code.

Patrick